Judgments

India Judgment

Call GET /india/judgments/{judgment_id} on the Corpus API.

GET /india/judgments/{judgment_id}

Call GET /india/judgments/{judgment_id} on the Corpus API.

Category: India · Judgments

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: india:read, litigation:read.

Request

NameInRequiredTypeConstraintsDescription
judgment_idpathyesstring

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/india/judgments/judgment-example' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonJudgmentResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "judgment": {
    "judgment_id": "judgment-example",
    "has_pdf": true,
    "has_text": true,
    "court_level": "string",
    "court": "string",
    "bench": "string",
    "case_title": "string",
    "case_number": "string",
    "cnr": "string",
    "judges": "string",
    "disposal_nature": "string",
    "registration_date": "2025-12-31",
    "decision_date": "2025-12-31",
    "year": 1,
    "details": {},
    "knowledge_time": "2025-12-31T23:59:59Z"
  }
}